
                              CP/M SURVEY
                              ===========

     INSTRUCTIONS:  We're attempting to gather as much information as we 
can  about  existing CP/M computers.   Our intention is to  compile  the 
results  into a large document file that will be made available to  CP/M 
users  and  developers  by way of electronic  Bulletin  Board  services, 
including  the comp.os.cpm newsgroup of Usenet.   Your participation  is 
very much appreciated.

     The  survey  forms which follow have been designed so that you  can 
copy,  fill out, and return them electronically.  Email is the preferred 
means of completing and returning the form, so that all information will 
be  immediately  available in machine-readable form.   Copy  the  survey 
forms which follow to your computer.  You might make copies available to 
local BBS's or Clubs which support CP/M.   Fill out as much  information 
as  you have,  and be as verbose as you will.   Try to give  information 
you  think  would help someone unfamiliar with your computer  trying  to 
port a new program to it.  

     We'd  also  appreciate other information in ASCII or Wordstar  text 
format  which you'd like to see in an omnibus CP/M  reference  document.  
Such   items  might  include:    8080/Z80/8085/Z280  opcodes,   language 
summaries  (e.g.,  Small C library functions),  standard BDOS  and  BIOS 
functions, and access to facilities of common software packages (such as 
the extended system calls for the BYE series).  If you have any thoughts 
on the formatting or distribution, we'd like to hear.  

     Please return the form via email to:

          tcamp@ecsvax.bitnet
     or   tcamp@dukeac.bitnet
     or   W8SDZ on the Genie System.

     If you need to return a hardcopy, you may send it by U.S. snail to:

     Ted A. Campbell
     Raleigh Other Computer Club
     7 Winchester Ct.
     Durham, NC  27707

     Thanks again for your help!

(cut here)
-----------------------------------------------------------------------

                               CPU SURVEY
                               ==========

Name of Computer:

CPU chip:

Clock rate in megahertz:

Standard RAM memory:                    Expandable RAM:

Is RAM partitioned:

Procedure to switch banks:

Standard Operating System and Version number:

Other operating systems:

Peculiarities of this implementation, or BIOS:

Is there a standard Real-Time clock?

How is it accessed?

Are real-time clock interrupts available to the programmer?  How?

Procedure to initialize the RS232 port:

Procedure to set baud rate:

Other procedures to set RS232 port:

Procedure to send one byte to the RS232 port:

Procedure to receive one byte from the RS232 port:

Procedure to detect if a character is ready from the RS232 port:

Procedure to detect Carrier Detect:

Other CPU information:

(cut here)
-----------------------------------------------------------------------

                            TERMINAL SURVEY:
                            ================

Name of computer or terminal:

Does this computer emulate,  or is it to any degree compatible, with the 
terminal characteristics of another computer or terminal?

Size of terminal display:  Lines (rows):          Columns:

Escape Sequences:
----------------

     [Please enter in hexadecimal notation]

     clear screen:

     home cursor:

     directly address cursor:

     cursor up:

     cursor down:

     cursor left:

     cursor right:

     delete character to left of cursor:

     delete character at cursor:

     delete from cursor to end of line:

     delete from cursor to end of page:

     turn on highlight/reverse:

     turn off highlight/reverse:

     turn on dim:

     turn on bright:

     read character at cursor position:

     turn on/off or adjust cursor:

     other cursor sequences:



Direct Video RAM Manipulation:
-----------------------------

     Is the video memory mapped?

     starting address of video RAM:

     length of line in video RAM:

     How are attributes mapped:

     Is video RAM banked?  Procedure for adressing video RAM?

     Other notes on memory mapping:



Graphics:
--------

     Are there character graphics?  

     Describe  graphics characters,  procedures for defining and accces-
     sing them, etc.:



     Are there pixel graphics?

     Describe procedures for entering and exiting pixel graphics mode:

     Describe  procedures  for addressing pixels,  turning them  on/off, 
     reading them, etc:



Other Terminal Information:
--------------------------



(cut here)
-----------------------------------------------------------------------

                          DISK FORMAT SURVEY:
                          ==================

Name of Disk Format:

Computers on which this disk format is or may be used:

Physical size of disk (8", 5.25", 3.5"):

Recording format (IBM, SS, DD, QD, Apple, etc.):

Sides:

Tracks/Side:

Physical Sectors/Track:

Relation of Logical Sectors to Physical Sectors:

Location of bootup routine:

Location of directory:

Size of directory:

Allocation group size:

Is there a standard form of on-disk time/date stamping?  What is it?

Other information on disk format:



(cut here)
-----------------------------------------------------------------------

                           OTHER INFORMATION:
                           =================


